jconfirm.defaults = {
    title: 'Title',
    titleClass: '',
    type: 'red',
    typeAnimated: true,
    draggable: false,
    dragWindowGap: 15,
    dragWindowBorder: true,
    animateFromElement: false,
    smoothContent: true,
    content: 'content',
    escapeKey: 'ok',
    buttons: {},
    defaultButtons: {
        ok: {
            keys: ['enter'],
            text: 'OK',
            action: function () {
            }
        },
        close: {
            action: function () {
            }
        },
    },
    contentLoaded: function (data, status, xhr) {
    },
    icon: '',
    lazyOpen: false,
    bgOpacity: null,
    theme: 'material',
    animation: 'scale',
    closeAnimation: 'scale',
    animationSpeed: 300,
    animationBounce: 1.3,
    rtl: false,
    container: 'body',
    containerFluid: false,
    backgroundDismiss: false,
    backgroundDismissAnimation: 'shake',
    autoClose: false,
    closeIcon: null,
    closeIconClass: false,
    watchInterval: 100,
    columnClass: 'xlarge',
    boxWidth: '50%',
    scrollToPreviousElement: true,
    scrollToPreviousElementAnimate: true,
    useBootstrap: true,
    offsetTop: 40,
    offsetBottom: 40,
    bootstrapClasses: {
        container: 'container',
        containerFluid: 'container-fluid',
        row: 'row',
    },
    onContentReady: function () {
    },
    onOpenBefore: function () {
        // after the modal is displayed.
        $('body').css('overflow', 'hidden');
    },
    onOpen: function () {
    },
    onClose: function () {
        // before the modal is hidden.
        $('body').css('overflow', 'auto');
    },
    onDestroy: function () {
    },
    onAction: function () {
    }
};
